using System;

namespace KitsuneCafe.System.Attributes
{
    public class HideIfAttribute : ConditionalDisplayAttribute
    {
        public HideIfAttribute(string property) : this(property, false)
        {
        }

        public HideIfAttribute(string property, object value) : base(ComparisonOperator.Equal, value, property)
        {
        }

        public HideIfAttribute(LogicalOperator logicalOp, params string[] properties) : base(logicalOp, ComparisonOperator.Equal, false, properties)
        {
        }
    }
}
